Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.core
Class UIServices.TrustInfo

    java.lang.Object
      org.eclipse.equinox.p2.core.UIServices.TrustInfo

Enclosing class:
  UIServices

    public static class UIServices.TrustInfo

extends Object

Trust information returned from a trust request. *

Constructor Summary
`UIServices.TrustInfo(Certificate[] trusted, boolean save, boolean trustUnsigned)`

Method Summary
`Certificate[]` `getTrustedCertificates()` Return an array of the certificates that should be trusted for the requested operation.
`boolean` `persistTrust()` Return a boolean indicating whether the trusted certificates should be persisted for future operations.
`boolean` `trustUnsignedContent()` Return a boolean indicating whether the unsigned content should be trusted during this operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIServices.TrustInfo

    public UIServices.TrustInfo(Certificate[] trusted,
                                boolean save,
                                boolean trustUnsigned)

Method Detail

### getTrustedCertificates

    public Certificate[] getTrustedCertificates()

  Return an array of the certificates that should be trusted for the requested operation.

  Returns:
    the trusted certificates, or `null` if there are no certificates that were verified as trusted.

### persistTrust

    public boolean persistTrust()

  Return a boolean indicating whether the trusted certificates should be persisted for future operations.

  Returns:
    `true` if the trusted certificates should be persisted, `false` if the trust only applies for this request.

### trustUnsignedContent

    public boolean trustUnsignedContent()

  Return a boolean indicating whether the unsigned content should be trusted during this operation.

  Returns:
    `true` if the unsigned content should be trusted, or if there was no unsigned content, and `false` if there was unsigned content and should not be trusted.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.